import { fileURLToPath, URL } from 'node:url'
import { defineConfig, UserConfig } from 'vite'

import fs from 'fs';
import path from 'path';

import vue from '@vitejs/plugin-vue'
//import vueDevTools from 'vite-plugin-vue-devtools'

import { settings } from "./settings"

let baseSettings: UserConfig = {
  plugins: [
    vue(),
    //vueDevTools(),
  ],
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url))
    },
  },
}

if (settings.key && settings.cert) {
  baseSettings['server'] = {
    https: {
      key: fs.readFileSync(path.resolve(settings.key)),
      cert: fs.readFileSync(path.resolve(settings.cert))
    }
  }
}

// https://vite.dev/config/
export default defineConfig(baseSettings)
